# Uses of Interface
javax.imageio.ImageTranscoder

Packages that use ImageTranscoder
Package
Description
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.

## Uses of ImageTranscoder in javax.imageio

Classes in javax.imageio that implement ImageTranscoder
Modifier and Type
Class
Description
`class`
`ImageWriter`
An abstract superclass for encoding and writing images.
Methods in javax.imageio that return types with arguments of type ImageTranscoder
Modifier and Type
Method
Description
`static Iterator<ImageTranscoder>`
ImageIO.`getImageTranscoders(ImageReader reader, ImageWriter writer)`
Returns an `Iterator` containing all currently registered `ImageTranscoder`s that claim to be able to transcode between the metadata of the given `ImageReader` and `ImageWriter`.

## Uses of ImageTranscoder in javax.imageio.spi

Methods in javax.imageio.spi that return ImageTranscoder
Modifier and Type
Method
Description
`abstract ImageTranscoder`
ImageTranscoderSpi.`createTranscoderInstance()`
Returns an instance of the `ImageTranscoder` implementation associated with this service provider.